import { assignDeepOmitBlank, ChartDataZoomType } from '@metad/ocap-core'
import { EChartsOptions } from './types'

export function dataZoom(chartOptions?: EChartsOptions) {
  const dataZoom = []
  if (chartOptions?.dataZoom) {
    // TODO: 还没区分 axis
    if (chartOptions.dataZoom.type?.includes(ChartDataZoomType.INSIDE)) {
      dataZoom.push(assignDeepOmitBlank(
        {},
        {
          ...chartOptions.dataZoom,
          type: ChartDataZoomType.INSIDE,
        }
      ))
    }
    if (chartOptions.dataZoom.type?.includes(ChartDataZoomType.SLIDER)) {
      dataZoom.push(assignDeepOmitBlank(
        {},
        {
          ...chartOptions.dataZoom,
          type: ChartDataZoomType.SLIDER,
        }
      ))
    }
  }

  return dataZoom
}
